Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.learning
Class DataSetRow

    java.lang.Object
      org.neuroph.core.learning.DataSetRow

All Implemented Interfaces:
  Serializable

    public class DataSetRow

extends Object
implements Serializable

Represents training element for supervised learning algorithms. Each supervised training element contains network input and desired network output.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary
`protected double[]` | `input` Input vector for this training element
`protected String` | `label` Label for this training element

Constructor Summary
`DataSetRow(ArrayList<Double> input)`
`DataSetRow(ArrayList<Double> input, ArrayList<Double> desiredOutput)` Creates new training element with specified input and desired output vectors
`DataSetRow(double... input)` Creates new training element with input array
`DataSetRow(double[] input, double[] desiredOutput)` Creates new training element with specified input and desired output vectors
`DataSetRow(String input, String desiredOutput)` Creates new training element with specified input and desired output vectors specifed as strings

Method Summary
`double[]` | `getDesiredOutput()`
`double[]` | `getInput()` Returns input vector
`String` | `getLabel()` Get training element label
`boolean` | `isSupervised()`
`void` | `setDesiredOutput(double[] desiredOutput)`
`void` | `setInput(double[] input)` Sets input vector
`void` | `setLabel(String label)` Set training element label

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected double[] input

  Input vector for this training element

### label

    protected String label

  Label for this training element

Constructor Detail

### DataSetRow

    public DataSetRow(String input,
                      String desiredOutput)

  Creates new training element with specified input and desired output vectors specifed as strings

  Parameters:
    `input` - input vector as space separated string
    `desiredOutput` - desired output vector as space separated string

### DataSetRow

    public DataSetRow(double[] input,
                      double[] desiredOutput)

  Creates new training element with specified input and desired output vectors

  Parameters:
    `input` - input array
    `desiredOutput` - desired output array

### DataSetRow

    public DataSetRow(double... input)

  Creates new training element with input array

  Parameters:
    `input` - input array

### DataSetRow

    public DataSetRow(ArrayList<Double> input,
                      ArrayList<Double> desiredOutput)

  Creates new training element with specified input and desired output vectors

  Parameters:
    `input` - input vector
    `desiredOutput` - desired output vector

### DataSetRow

    public DataSetRow(ArrayList<Double> input)

Method Detail

### getInput

    public double[] getInput()

  Returns input vector

  Returns:
    input vector

### setInput

    public void setInput(double[] input)

  Sets input vector

  Parameters:
    `input` - input vector

### getDesiredOutput

    public double[] getDesiredOutput()

### setDesiredOutput

    public void setDesiredOutput(double[] desiredOutput)

### getLabel

    public String getLabel()

  Get training element label

  Returns:
    training element label

### setLabel

    public void setLabel(String label)

  Set training element label

  Parameters:
    `label` - label for this training element

### isSupervised

    public boolean isSupervised()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.